.scb-base-box {
  position: relative;
  display: flex;
  align-items: center;
  height: 54px;
  padding-top: map-get($spacers, 3);
  margin-bottom: map-get($spacers, 3);
  border-bottom: solid 1px $brdr-light-gray;
  transition: border-color $default-delay;
  &.no-label {
    padding-top: 0;
  }
  &.error-validate {
    border-color: $text-red !important;
    .sub-line {
      @include extra-text;
      &.error {
        display: block;
      }
    }
  }

  .input-text {
    font-weight: 400;
  }

  label {
    @extend .subtitle-tinest;
    @include extra-text;
    position: absolute;
    top: 4px;
    left: 0;
    color: $text-primary;
    transition: color $default-delay;
  }
  .sub-line {
    @extend .subtitle-tinest;
    position: absolute;
    bottom: -#{map-get($spacers, 4)};
    left: 0;
    &.error {
      display: none;
    }
  }
}

.scb-input-box {
  @extend .scb-base-box;
  &:focus-within {
    border-color: $brdr-dark-gray;
    label {
      color: $text-secondary;
    }
  }

  .input-text {
    @extend .form-control-text;
  }

  input {
    &[type="text"],
    &[type="email"],
    &[type="password"],
    &[type="number"],
    &[type="search"],
    &[type="tel"],
    &[type="url"] {
      width: 100%;
      border: none;
      outline: none;
    }
  }
}

.scb-dropdown-box {
  @extend .scb-base-box;
  &.dropbox-opened {
    .input-text {
      &:after {
        margin-top: -16px;
        transform: rotate(0);
      }
    }
    .dropdown-list {
      display: block;
    }
  }

  .input-text {
    @extend .subtitle;
    @include extra-text;
    position: relative;
    width: 100%;
    cursor: pointer;
    &:after {
      content: url(~Images/up-triangle-arrow.svg);
      position: absolute;
      right: 0;
      top: 50%;
      margin-top: -8px;
      transform: rotate(180deg);
      transition: transform $default-delay, margin-top $default-delay;
    }
    &.placeholder {
      @extend .color-inactive;
    }
  }

  .dropdown-list {
    display: none;
    position: absolute;
    left: 0;
    top: 54px;
    width: 100%;
    margin-top: map-get($spacers, 1);
    max-height: 282px;
    overflow-y: auto;
    background: $bg-white;
    z-index: 10;

    .list-item {
      @extend .small-text;
      padding: #{map-get($spacers, 1)} #{map-get($spacers, 2)};
      cursor: pointer;
      transition: background-color $default-delay;
      &:hover {
        @extend .bg-block;
      }
      &.selected {
        color: $text-red;
        cursor: default;
      }
    }
  }
}

.scb-range-box {
  @extend .scb-base-box;

  .input-text {
    @extend .form-control-text;
    @include extra-text;
    font-weight: 500;
  }
  .range-line {
    display: block;
    position: absolute;
    bottom: -2px;
    height: 3px;
    min-width: 17px;
    background: $bg-primary;

    .range-control {
      width: 17px;
      height: 17px;
      position: absolute;
      right: 0;
      top: -7px;
      border: solid 3px $bg-primary;
      border-radius: 100%;
      background: $bg-white;
      cursor: pointer;
    }
  }
  .sub-line {
    width: 100%;
    display: flex;
    justify-content: space-between;
  }
}

.scb-switch-box {
  @extend .scb-base-box;
  justify-content: space-between;
  flex-wrap: nowrap;

  .input-text {
    @include extra-text;
    @extend .small-text;
    margin-right: 20px;
  }
  .scb-trigger {
    flex: 0 0 auto;
  }
}

.scb-checkbox-wrap {
  position: relative;
  cursor: pointer;
  padding-bottom: map-get($spacers, 3);
  &.error-validate {
    .checkbox-text {
      .error {
        display: inline-block;
      }
    }
  }

  input[type=checkbox] {
    position: absolute;
    z-index: -1;
    visibility: hidden;
    &:checked {
      + .fake-checkbox {
        background-image: url("~Images/check-white.svg");
      }
    }
  }

  .fake-checkbox {
    width: 20px;
    height: 20px;
    background-color: $bg-primary;
    background-position: center center;
    background-repeat: no-repeat;
  }

  .checkbox-text {
    position: relative;
    display: inline-block;
    border-bottom: solid 1px $brdr-light-gray;

    .error {
      @extend .subtitle-tinest;
      display: none;
      position: absolute;
      top: 110%;
      left: 0;
    }
  }
}
